Subject: Re: [PATCH 2/2] powerpc/hibernate: add restore mmu context after resume

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 13 Jul 2013 09:06:36 +1000

On Fri, 2013-07-12 at 16:54 -0500, Scott Wood wrote:
> set_context() doesn't exist for hash MMUs.
> 
> Whatever you do, please try actually building it on various targets,  
> including both 32 and 64 bits, and both hash and non-hash.  And make  
> sure that whatever effect PPC32 was depending on switch_mmu_context
> for  
> is preserved, including on non-booke.

The right thing to do is probably to have the various tlb_* files
provide a pair of save/restore functions that do the right thing
for that specific MMU type.

Ben.